Subject: bug#48902: 28.0.50; Directory names containing apostrophes and backticks cause problems

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 08 Jun 2021 14:14:53 +0200

Alan Third <[email-masked]> writes:

>> >    image = [[EmacsImage alloc] initByReferencingFile:
>> > -                     [NSString stringWithLispString: found]];
>> > +                     [NSString stringWithUTF8String: SSDATA (found)]];
>> 
>> Hm...  I'm not very familiar at all with the Objective C code here...
>> but shouldn't "found" here be a Lisp string so that stringWithLispString
>> would do the right thing?
>
> It's always possible that stringWithLispString isn't doing the right
> thing. It's implemented at nsfns.m:3026. I know almost nothing about
> UTF8/UTF16 so while it looks like it's doing the right thing to me, I
> could be entirely wrong.

Right -- and that was written by Mattias, so I've added him to the CCs.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no